# Class AbstractAccessLogValve.MethodElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.MethodElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected static class AbstractAccessLogValve.MethodElement extends Object implements AbstractAccessLogValve.AccessLogElement
Write request method (GET, POST, etc.) - %m.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MethodElement()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Request request, Response response, long time)`
Adds the method element to the buffer.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

`addElement`

## Constructor Details

### MethodElement

protected MethodElement()

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Request request, Response response, long time)
Adds the method element to the buffer.

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
Parameters:
  `buf` - The buffer to which the log element should be added
  `request` - The request that triggered this access log entry
  `response` - The response to the request that triggered this access log entry
  `time` - The time taken in nanoseconds to process the request